Bug 39825 - boot.img error for floppy boot-up harddisk installation
boot.img error for floppy boot-up harddisk installation
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-09 05:06 EDT by Chris Chan
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-09 11:19:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Chan 2001-05-09 05:06:54 EDT
Description of Problem:
  After making the local boot disk with instruction of 


  The installer loads up but then it trys to locate the CDRom ISO image of 
RH7.1 rather then the harddisk images of directories RPMS and else.  Thus 
the installation is not working futhermore.

How Reproducible:
   Just use the Redhat 7.1 ...\images\boot.img to make the boot disk.

>>>>   It is the incorrect boot.img causing this

Steps to Reproduce:
1. As mentioned above

Actual Results:
The installer is looking for the CDRom ISO files.

Expected Results:
The installer should look for the harddisk images i.e. RPMS, etc instead 
of looking for the CDRom ISO files.

Additional Information:
>>>>   It is the incorrect boot.img causing this
>>>>   I think RH has placed the boot-cdrom.img(?) into this boot.img as 
Comment 1 Brent Fox 2001-05-09 11:19:26 EDT
No, we changed the way hard drive installs work.  They now require that the ISO
images be on the hard drive...not the installation tree.  There were just soooo
many people that had problems with it that changing it was the best thing to do.
 This is all documented in the release notes.  Just download the isos, stick
them on a partition, boot off the boot.img and then select "Hard Drive".  That
should work fine.
Comment 2 Need Real Name 2001-08-12 22:58:26 EDT
Can you tell me why it is not possible to have the installer support both
methods?  I downloaded the entire alpha distribution, only to find that I had to
download both ISO images instead, *AGAIN*, because of this misfeature.

As a secondary issue, which I will file in another bug, the hard disk install
apparently requires the hard disk to be a FAT partition.  This is not the case
when UPGRADING....

Note You need to log in before you can comment on or make changes to this bug.